FreeMat

- Main Page
- Related Pages

vtkDataObjectTypes

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataObjectTypes is a helper class that supports conversion between integer types defined in vtkType.h and string names as well as creation of data objects from either integer or string types. This class has to be updated every time a new data type is added to VTK.

To create an instance of class vtkDataObjectTypes, simply invoke its constructor as follows

      obj = vtkDataObjectTypes

# Methods

The class vtkDataObjectTypes has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataObjectTypes class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataObjectTypes = obj.NewInstance ()`
- `vtkDataObjectTypes = obj.SafeDownCast (vtkObject o)`